<?php
namespace Teknisa\FIN\Modules\MovimentacaoBancaria\Controllers;

use Zeedhi\Framework\DTO;

class Bco54200ExtratoBancarioReport extends \Zeedhi\Framework\Controller\Report{
    
    protected $Bco54200Service;
    protected $reportMapping = array(
        'BCO54200' => array(
            'strategy' => "BIRT",
            'parameterMapping' => array(
                'TDATA'=> "TDATA",
                'CDREDUCONT'=> "CDREDUCONT",
                'DTINICIAL'=> "DTINICIAL",
                'DTFINAL'=> "DTFINAL",
                'TCDREDUCONT'=> "TCDREDUCONT",
                'NRORG'=> "NRORG"
            )
        )
    );
    
    public function __construct($reportService, $Bco54200Service) {
        $this->Bco54200Service = $Bco54200Service;
        parent::__construct($reportService);
    }
    
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $row["NRORG"] = $this->Bco54200Service->getNrorg();
    }
}
